# Class ImmutableDatabricksColumn.Builder

java.lang.Object
com.databricks.jdbc.api.impl.ImmutableDatabricksColumn.Builder

Enclosing class:
  `ImmutableDatabricksColumn`

@NotThreadSafe public static final class ImmutableDatabricksColumn.Builder extends Object
Builds instances of type `ImmutableDatabricksColumn`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

## Method Summary

Modifier and Type
Method
Description
`final ImmutableDatabricksColumn.Builder`
`accessType(AccessType accessType)`
Initializes the value for the `accessType` attribute.
`ImmutableDatabricksColumn`
`build()`
Builds a new `ImmutableDatabricksColumn`.
`final ImmutableDatabricksColumn.Builder`
`catalogName(String catalogName)`
Initializes the value for the `catalogName` attribute.
`final ImmutableDatabricksColumn.Builder`
`columnName(String columnName)`
Initializes the value for the `columnName` attribute.
`final ImmutableDatabricksColumn.Builder`
`columnType(int columnType)`
Initializes the value for the `columnType` attribute.
`final ImmutableDatabricksColumn.Builder`
`columnTypeClassName(String columnTypeClassName)`
Initializes the value for the `columnTypeClassName` attribute.
`final ImmutableDatabricksColumn.Builder`
`columnTypeText(String columnTypeText)`
Initializes the value for the `columnTypeText` attribute.
`final ImmutableDatabricksColumn.Builder`
`displaySize(int displaySize)`
Initializes the value for the `displaySize` attribute.
`final ImmutableDatabricksColumn.Builder`
`from(DatabricksColumn instance)`
Fill a builder with attribute values from the provided `DatabricksColumn` instance.
`final ImmutableDatabricksColumn.Builder`
`isAutoIncrement(boolean isAutoIncrement)`
Initializes the value for the `isAutoIncrement` attribute.
`final ImmutableDatabricksColumn.Builder`
`isCaseSensitive(boolean isCaseSensitive)`
Initializes the value for the `isCaseSensitive` attribute.
`final ImmutableDatabricksColumn.Builder`
`isCurrency(boolean isCurrency)`
Initializes the value for the `isCurrency` attribute.
`final ImmutableDatabricksColumn.Builder`
`isDefinitelyWritable(boolean isDefinitelyWritable)`
Initializes the value for the `isDefinitelyWritable` attribute.
`final ImmutableDatabricksColumn.Builder`
`isSearchable(boolean isSearchable)`
Initializes the value for the `isSearchable` attribute.
`final ImmutableDatabricksColumn.Builder`
`isSigned(boolean isSigned)`
Initializes the value for the `isSigned` attribute.
`final ImmutableDatabricksColumn.Builder`
`nullable(Nullable nullable)`
Initializes the value for the `nullable` attribute.
`final ImmutableDatabricksColumn.Builder`
`schemaName(String schemaName)`
Initializes the value for the `schemaName` attribute.
`final ImmutableDatabricksColumn.Builder`
`tableName(String tableName)`
Initializes the value for the `tableName` attribute.
`final ImmutableDatabricksColumn.Builder`
`typePrecision(int typePrecision)`
Initializes the value for the `typePrecision` attribute.
`final ImmutableDatabricksColumn.Builder`
`typeScale(int typeScale)`
Initializes the value for the `typeScale` attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### from

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder from(DatabricksColumn instance)
Fill a builder with attribute values from the provided `DatabricksColumn` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.

Parameters:
  `instance` - The instance from which to copy values
Returns:
  `this` builder for use in a chained invocation

### columnName

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder columnName(String columnName)
Initializes the value for the `columnName` attribute.

Parameters:
  `columnName` - The value for columnName
Returns:
  `this` builder for use in a chained invocation

### columnType

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder columnType(int columnType)
Initializes the value for the `columnType` attribute.

Parameters:
  `columnType` - The value for columnType
Returns:
  `this` builder for use in a chained invocation

### columnTypeText

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder columnTypeText(String columnTypeText)
Initializes the value for the `columnTypeText` attribute.

Parameters:
  `columnTypeText` - The value for columnTypeText
Returns:
  `this` builder for use in a chained invocation

### typePrecision

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder typePrecision(int typePrecision)
Initializes the value for the `typePrecision` attribute.

Parameters:
  `typePrecision` - The value for typePrecision
Returns:
  `this` builder for use in a chained invocation

### displaySize

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder displaySize(int displaySize)
Initializes the value for the `displaySize` attribute.

Parameters:
  `displaySize` - The value for displaySize
Returns:
  `this` builder for use in a chained invocation

### isSigned

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder isSigned(boolean isSigned)
Initializes the value for the `isSigned` attribute.

Parameters:
  `isSigned` - The value for isSigned
Returns:
  `this` builder for use in a chained invocation

### schemaName

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder schemaName(@Nullable String schemaName)
Initializes the value for the `schemaName` attribute.

Parameters:
  `schemaName` - The value for schemaName (can be `null`)
Returns:
  `this` builder for use in a chained invocation

### isCurrency

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder isCurrency(boolean isCurrency)
Initializes the value for the `isCurrency` attribute.

Parameters:
  `isCurrency` - The value for isCurrency
Returns:
  `this` builder for use in a chained invocation

### isAutoIncrement

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder isAutoIncrement(boolean isAutoIncrement)
Initializes the value for the `isAutoIncrement` attribute.

Parameters:
  `isAutoIncrement` - The value for isAutoIncrement
Returns:
  `this` builder for use in a chained invocation

### isCaseSensitive

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder isCaseSensitive(boolean isCaseSensitive)
Initializes the value for the `isCaseSensitive` attribute.

Parameters:
  `isCaseSensitive` - The value for isCaseSensitive
Returns:
  `this` builder for use in a chained invocation

### isSearchable

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder isSearchable(boolean isSearchable)
Initializes the value for the `isSearchable` attribute.

Parameters:
  `isSearchable` - The value for isSearchable
Returns:
  `this` builder for use in a chained invocation

### nullable

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder nullable(Nullable nullable)
Initializes the value for the `nullable` attribute.

Parameters:
  `nullable` - The value for nullable
Returns:
  `this` builder for use in a chained invocation

### typeScale

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder typeScale(int typeScale)
Initializes the value for the `typeScale` attribute.

Parameters:
  `typeScale` - The value for typeScale
Returns:
  `this` builder for use in a chained invocation

### accessType

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder accessType(AccessType accessType)
Initializes the value for the `accessType` attribute.

Parameters:
  `accessType` - The value for accessType
Returns:
  `this` builder for use in a chained invocation

### isDefinitelyWritable

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder isDefinitelyWritable(boolean isDefinitelyWritable)
Initializes the value for the `isDefinitelyWritable` attribute.

Parameters:
  `isDefinitelyWritable` - The value for isDefinitelyWritable
Returns:
  `this` builder for use in a chained invocation

### columnTypeClassName

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder columnTypeClassName(String columnTypeClassName)
Initializes the value for the `columnTypeClassName` attribute.

Parameters:
  `columnTypeClassName` - The value for columnTypeClassName
Returns:
  `this` builder for use in a chained invocation

### tableName

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder tableName(@Nullable String tableName)
Initializes the value for the `tableName` attribute.

Parameters:
  `tableName` - The value for tableName (can be `null`)
Returns:
  `this` builder for use in a chained invocation

### catalogName

@CanIgnoreReturnValue public final ImmutableDatabricksColumn.Builder catalogName(String catalogName)
Initializes the value for the `catalogName` attribute.

Parameters:
  `catalogName` - The value for catalogName
Returns:
  `this` builder for use in a chained invocation

### build

public ImmutableDatabricksColumn build()
Builds a new `ImmutableDatabricksColumn`.

Returns:
  An immutable instance of DatabricksColumn
Throws:
  `IllegalStateException` - if any required attributes are missing